/* 
Function that converts input data to a string
by Faguss (ofp-faguss.com) 09.07.21

Usage:
	CONVERT_TO_STRING = preProcessFile "Convert_To_String.sqf"
	<data> call CONVERT_TO_STRING

Example:
	[1,2,["a","b"]] call CONVERT_TO_STRING
*/

private ["_string"];

// if scalar
if (_this in [_this]) then {

	// if string
	if (_this in [Format["%1",_this]]) then {
		"{" + _this + "}"
	} else {
	
		// if number / boolean / side
		Format ["%1",_this]
	}
} else {

	// if array
	_string = "[";
	{_string = _string + "]+[" + (_x call CONVERT_TO_STRING)} forEach _this;
	_string + "]"
}